Subject: bug#30402: ldconfig confusion

From: Reuben Thomas <[email-masked]>
Date: Fri, 9 Feb 2018 17:07:29 +0000

On 9 February 2018 at 16:57, Bob Friesenhahn <[email-masked]>
wrote:

> This feels like a big dangerous change to me, especially since the current
> mode of operation has been in place for 20 years.  Should installing a
> package result in refreshing the configuration for the whole system,
> causing changes unrelated to the package?
>

​It should update the cache, yes, because otherwise the user has to do that
anyway, or the newly-installed library won't work.

I don't see any way with Linux ldconfig to do this in a more restrictive
way.​

> The installation prefix used is important since it might be into a
> directory already configured via /etc/ld.so.conf or it might be some
> directory that ldconfig does not know about.
>
> I see that Ubuntu provides special handling for /usr/local via
> /etc/ld.so.conf.d/libc.conf:
>
> % cat /etc/ld.so.conf
> include /etc/ld.so.conf.d/*.conf
>
> % cat /etc/ld.so.conf.d/libc.conf
> # libc default configuration
> /usr/local/lib
>
> If one installs into a prefix that ldconfig does not already know about,
> then it seems that additional ldconfig configuration should be required in
> order for shared libraries installed there to work correctly.
>

​I was installing into /usr/local/lib. My system does indeed have this
(default) configuration.​

-- 
https://rrt.sc3d.org